[El-errata] ELSA-2014-1052 Moderate: Oracle Linux 7 openssl security update

Errata Announcements for Oracle Linux el-errata at oss.oracle.com
Wed Aug 13 14:38:49 PDT 2014


Oracle Linux Security Advisory ELSA-2014-1052

https://access.redhat.com/errata/RHSA-2014:1052.html

The following updated rpms for Oracle Linux 7 have been uploaded to the 
Unbreakable Linux Network:

x86_64:
openssl-1.0.1e-34.el7_0.4.x86_64.rpm
openssl-devel-1.0.1e-34.el7_0.4.i686.rpm
openssl-devel-1.0.1e-34.el7_0.4.x86_64.rpm
openssl-libs-1.0.1e-34.el7_0.4.i686.rpm
openssl-libs-1.0.1e-34.el7_0.4.x86_64.rpm
openssl-perl-1.0.1e-34.el7_0.4.x86_64.rpm
openssl-static-1.0.1e-34.el7_0.4.i686.rpm
openssl-static-1.0.1e-34.el7_0.4.x86_64.rpm


SRPMS:
http://oss.oracle.com/ol7/SRPMS-updates/openssl-1.0.1e-34.el7_0.4.src.rpm



Description of changes:

[1.0.1e-34.4]
- fix CVE-2014-3505 - doublefree in DTLS packet processing
- fix CVE-2014-3506 - avoid memory exhaustion in DTLS
- fix CVE-2014-3507 - avoid memory leak in DTLS
- fix CVE-2014-3508 - fix OID handling to avoid information leak
- fix CVE-2014-3509 - fix race condition when parsing server hello
- fix CVE-2014-3510 - fix DoS in anonymous (EC)DH handling in DTLS
- fix CVE-2014-3511 - disallow protocol downgrade via fragmentation




More information about the El-errata mailing list